Packages - Bug #3515

[gmid] Requires Rebuild Against New LibreTLS Version
2023-08-06 06:40 PM - wael

Status: confirmed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

Compiled-in LibreTLS version older than currently available one, fails to launch.

History

#1 - 2023-08-06 06:41 PM - wael

- Assignee set to bill-auger

#2 - 2023-09-15 03:11 PM - bill-auger

- Status changed from confirmed to fixed

ok i pinned it to each 'libretls' package - that should prevent it from breaking again - there have been about two per year; so not a huge workload
increase

#3 - 2023-10-28 01:09 PM - wael

- Status changed from fixed to confirmed

As the title implies, when updating a system with gmid already installed the following error is encountered: "installing libretls (3.8.1-1) breaks
dependency 'libretls<3.7.0-2' required by gmid".
Hence the package requires a rebuild against the newest libretls version.

#4 - 2023-10-28 10:41 PM - bill-auger

- Status changed from confirmed to in progress
wael wrote:
"installing libretls (3.8.1-1) breaks dependency 'libretls<3.7.0-2' required by gmid".
ok, that is good - the pinned dependency is doing its job then, preventing the program from actually breaking

#5 - 2023-10-28 11:09 PM - bill-auger

- Status changed from in progress to fixed

#6 - 2024-04-07 12:09 PM - wael

- Status changed from fixed to confirmed

Requires rebuild again.
